<?php namespace Anomaly\FilesModule\Browser\Table;

use Anomaly\Streams\Platform\Ui\Table\Multiple\MultipleTableBuilder;

/**
 * Class BrowserTableBuilder
 *
 * @link          http://anomaly.is/streams-platform
 * @author        AnomalyLabs, Inc. <hello@anomaly.is>
 * @author        Ryan Thompson <ryan@anomaly.is>
 * @package       Anomaly\FilesModule\Browser
 */
class BrowserTableBuilder extends MultipleTableBuilder
{

    /**
     * The table columns.
     *
     * @var array
     */
    protected $columns = [
        [
            'column' => 'Anomaly\FilesModule\Browser\Table\Column\PreviewColumn'
        ],
        [
            'sortable'    => true,
            'sort_column' => 'name',
            'heading'     => 'anomaly.module.files::field.name.name',
            'column'      => 'Anomaly\FilesModule\Browser\Table\Column\NameColumn'
        ],
        [
            'heading' => 'anomaly.module.files::field.size.name',
            'column'  => 'Anomaly\FilesModule\Browser\Table\Column\SizeColumn'
        ],
        [
            'heading' => 'anomaly.module.files::field.mime_type.name',
            'column'  => 'Anomaly\FilesModule\Browser\Table\Column\MimeTypeColumn'
        ]
    ];

    /**
     * The table buttons.
     *
     * @var array
     */
    protected $buttons = [
        [
            'button' => 'Anomaly\FilesModule\Browser\Table\Button\EditButton',
            'href'   => 'admin/files/edit/{entry.id}'
        ]
    ];

    /**
     * The table actions.
     *
     * @var array
     */
    protected $actions = [
        'delete'
    ];

    /**
     * The table options.
     *
     * @var array
     */
    protected $options = [
        'attributes' => [
            'id' => 'browser'
        ]
    ];

}
